rte_gpu_info(3)

NAME
rte_gpu_info

SYNOPSIS

#include <rte_gpudev.h>

  Data Fields

const char * name
uint64_t context
int16_t dev_id
int16_t parent
uint32_t processor_count
size_t total_memory
size_t page_size
int16_t numa_node

Detailed Description

Store device info.

Definition at line 49 of file rte_gpudev.h.

Field Documentation

  const char* name
Unique identifier name.

Definition at line 51 of file rte_gpudev.h.

  uint64_t context
Opaque handler of the device context.

Definition at line 53 of file rte_gpudev.h.

  int16_t dev_id
Device ID.

Definition at line 55 of file rte_gpudev.h.

  int16_t parent
ID of the parent device, RTE_GPU_ID_NONE if no parent

Definition at line 57 of file rte_gpudev.h.

  uint32_t processor_count
Total processors available on device.

Definition at line 59 of file rte_gpudev.h.

  size_t total_memory
Total memory available on device.

Definition at line 61 of file rte_gpudev.h.

  size_t page_size
GPU memory page size.

Definition at line 63 of file rte_gpudev.h.

  int16_t numa_node
Local NUMA memory ID. -1 if unknown.

Definition at line 65 of file rte_gpudev.h.

Author

Generated automatically by Doxygen for DPDK from the source code.